#! /bin/bash -xue

export F_UFMTENDIAN=big

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

cat > export_swf.mcr << 'EOF'
#!MC 1200
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = FLASH
$!ANIMATETIME CREATEMOVIEFILE = YES
EOF

trap "cat run_tutorial.out" EXIT

cp n0012_i153.flow_600_step_start n0012_i153.flow

mpirun -np 12 nodet_mpi \
  > run_tutorial.out

trap - EXIT

tec360 -quiet -b -p export_png.mcr \
  -y mesh.png \
     mesh.lay

tec360 -quiet -b -p export_png.mcr \
  -y mesh_closeup.png \
     mesh_closeup.lay

tec360 -quiet -b -p export_png.mcr \
  -y cp_animation.png \
     cp_animation.lay

tec360 -quiet -b -p export_swf.mcr \
  -y cp_animation.swf \
     cp_animation.lay

tec360 -quiet -b -p export_png.mcr \
  -y mach_animation.png \
     mach_animation.lay

tec360 -quiet -b -p export_swf.mcr \
  -y mach_animation.swf \
     mach_animation.lay

tec360 -quiet -b -p export_png.mcr \
  -y subit_history.png \
     subit_history.lay

tec360 -quiet -b -p export_png.mcr \
  -y subit_force_history.png \
     subit_force_history.lay

tec360 -quiet -b -p export_png.mcr \
  -y time_history.png \
     time_history.lay
